这是原厂英文文档的翻译页面. 欢迎帮助我们 完善文档.

Sidebar

2022 Zabbix中国峰会
2022 Zabbix中国峰会

2 MongoDB 插件依赖

概述

本页列出了 MongoDB 可加载插件所需的库。

Golang 库

要求 强制状态 最低版本 说明
git.zabbix.com/ap/plugin-support 1.X.X Zabbix 自己的支持库。 主要用于插件。
go.mongodb.org/mongo-driver 1.7.6 命名读/写锁,访问同步。
github.com/go-stack/stack Indirect1 1.8.0 MongoDB插件mongo-driver lib所需包 .
github.com/golang/snappy 0.0.1 MongoDB 插件 mongo-driver lib 所需的包。
github.com/klauspost/compress 1.13.6 MongoDB 插件 mongo-driver lib 所需的软件包。
github.com/natefinch/npipe 0.0.0 MongoDB 插件 mongo-driver lib 所需的包。
github.com/pkg/errors 0.9.1 MongoDB 插件 mongo-driver lib 所需的软件包。
github.com/xdg-go/pbkdf2 1.0.0 MongoDB 插件 mongo-driver lib 所需的包。
github.com/xdg-go/scram 1.0.2 MongoDB 插件 mongo-driver lib 所需的包。
github.com/xdg-go/stringprep 1.0.2 MongoDB 插件 mongo-driver lib 所需的包。
github.com/youmark/pkcs8 0.0.0 MongoDB 插件 mongo-driver lib 所需的包。
golang.org/x/crypto 0.0.0 MongoDB 插件 mongo-driver lib 所需的包。
golang.org/x/sync 0.0.0 MongoDB 插件 mongo-driver lib 所需的包。
golang.org/x/sys 0.0.0 MongoDB 插件 mongo-driver lib 所需的包。
golang.org/x/text 0.3.7 MongoDB 插件 mongo-driver lib 所需的包。

1 “间接”表示它用于agent使用的库之一。 这是必需的,因为 Zabbix 使用使用该包的库。